package com.lantone.common.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 医生表
 * </p>
 */
@Data
public class DoctorDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "编号")
    private Long id;
    @ApiModelProperty(value = "医院编号")
    private Long hospitalId;
    @ApiModelProperty(value = "科室编号")
    private Long deptId;

    @ApiModelProperty(value = "医生编码")
    private String code;

    @ApiModelProperty(value = "医院名称")
    private String hospitalName;
    @ApiModelProperty(value = "科室名称")
    private String deptName;
    @ApiModelProperty(value = "医生姓名")
    private String name;

    @ApiModelProperty(value = "手机号")
    private String mobilePhone;

    @ApiModelProperty(value = "职称")
    private String professor;

    @ApiModelProperty(value = "职业医师资格（0：无，1：有）")
    private String occup;

    @ApiModelProperty(value = "是否删除,N:未删除，Y:删除")
    private String isDeleted;

    @ApiModelProperty(value = "记录创建时间")
    private Date gmtCreate;

    @ApiModelProperty(value = "记录修改时间,如果时间是1970年则表示纪录未修改")
    private Date gmtModified;

    @ApiModelProperty(value = "创建人，0表示无创建人值")
    private String creator;

    @ApiModelProperty(value = "修改人,如果为0则表示纪录未修改")
    private String modifier;

    @ApiModelProperty(value = "备注")
    private String remark;
    @ApiModelProperty(value = "已关联未关联")
    private String relation;

}
