package com.lantone.common.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 病区表
 * </p>
 */
@Data
public class SysRegionVo implements Serializable {

    private static final long serialVersionUID = 1L;

    private Long id;

    @ApiModelProperty(value = "医院ID")
    private Long hospitalId;

    @ApiModelProperty(value = "病区编码")
    private String code;

    @ApiModelProperty(value = "病区名称")
    private String name;

    @ApiModelProperty(value = "首字母拼音")
    private String spell;

    @ApiModelProperty(value = "区域类别")
    private String station;

    @ApiModelProperty(value = "排序")
    private String orderNo;

    @ApiModelProperty(value = "科室id集合")
    @NotEmpty
    private List<Long> deptIds;

    @ApiModelProperty(value = "备注")
    private String remark;


}
