package com.lantone.dblayermbg.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 系统与数据权限信息关联表
 * </p>
 */
@Data
@TableName("sys_service_data_auth")
@ApiModel(value="ServiceDataAuth对象", description="系统与数据权限信息关联表")
public class ServiceDataAuth implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "编号")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "服务编号")
    @TableField("service_id")
    private Long serviceId;

    @ApiModelProperty(value = "数据权限编号")
    @TableField("data_auth_id")
    private Long dataAuthId;

    @ApiModelProperty(value = "是否删除,N:未删除，Y:删除")
    @TableField("is_deleted")
    private String isDeleted;

    @ApiModelProperty(value = "记录创建时间")
    @TableField("gmt_create")
    private Date gmtCreate;

    @ApiModelProperty(value = "记录修改时间,如果时间是1970年则表示纪录未修改")
    @TableField("gmt_modified")
    private Date gmtModified;

    @ApiModelProperty(value = "创建人，0表示无创建人值")
    @TableField("creator")
    private String creator;

    @ApiModelProperty(value = "修改人,如果为0则表示纪录未修改")
    @TableField("modifier")
    private String modifier;

    @ApiModelProperty(value = "备注")
    @TableField("remark")
    private String remark;


}
