package com.lantone.dblayermbg.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.lantone.common.dto.DataAuthDTO;
import com.lantone.common.dto.ServiceRoleDataAuthDetailDTO;
import com.lantone.common.vo.DataAuthVO;
import com.lantone.common.vo.ServiceDataAuthVO;
import com.lantone.dblayermbg.entity.DataAuth;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 数据权限表 Mapper 接口
 * </p>
 */
public interface DataAuthMapper extends BaseMapper<DataAuth> {
    /**
     /**
     * @Author songxl
     * @Description 通过数据权限id和角色id获取数据权限
     * @Date 2021/7/22
     * @Param [serviceDataAuthVO]
     * @Return com.lantone.security.dto.ServiceRoleDataAuthDetailDTO
     * @MethodName getDataAuthById
     */
    List<ServiceRoleDataAuthDetailDTO> getDataAuthById(@Param("serviceDataAuthVO") ServiceDataAuthVO serviceDataAuthVO);

    /**
     * @Author songxl
     * @Description 获取数据权限详情
     * @Date 2021/7/22
     * @Param [serviceDataAuthVO]
     * @Return com.lantone.security.dto.ServiceRoleDataAuthDetailDTO
     * @MethodName getDataAuthById
     */
    List<ServiceRoleDataAuthDetailDTO> getOneServiceRoleDataAuthDetail(@Param("serviceID") Long serviceID, @Param("dataDetailID") Long dataDetailID);

    /**
     * @Author songxl
     * @Description获取数据权限列表
     * @Date 2021/7/27
     * @Param [dataAuthVO]
     * @Return com.baomidou.mybatisplus.core.metadata.IPage<com.lantone.common.dto.DataAuthDTO>
     * @MethodName getDataAuthPage
     */
    IPage<DataAuthDTO> getDataAuthPage(@Param("dataAuthVO") DataAuthVO dataAuthVO);
}

